Subject: Re: dos2unix or equivalent
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 22 Aug 2001 14:20:33 -0700

Lots of ways.  For example, use tr (translate-- check man tr).
for details.

The fanciest way I
know of is:
1) open the file with vim.
2) In vim, type  ":set ff=unix"
3) save and close vim --- ":wq".
:-)
This works in reverse, to--- I think it's ":set ff=dos", but
I've never used it in that direction.

John Velman

[email-masked]@sources.redhat.com on 08/22/2001 01:51:17 PM

Sent by:  [email-masked]

To:    [email-masked]
cc:    [email-masked]

Subject:  Re: dos2unix or equivalent

sed 's/^M$//'

Where ^M can be typed on the command line by using Ctrl-v,Ctrl-m.

Noel

Hi,

Is there an equivalent to the dos2unix command in cygwin?  Or is there a
fancy way with grep and/or sed to convert dos crlf files to unix cr files?

===================================
John Daniel Doucette, Sr. Software Designer

J. J. MacKay Canada Limited
Halifax R & D Office
1046 Barrington Street, 1st Floor
Halifax, Nova Scotia
Canada
B3H 2R1

Phone          902.423.7727  x222
Fax       902.422.8108
Web       www . jjmackay . ca
Email          john . doucette @ jjmackay . ca
===================================

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

This communication is for informational purposes only.  It is not intended
as
an offer or solicitation for the purchase or sale of any financial
instrument
or as an official confirmation of any transaction. All market prices, data
and other information are not warranted as to completeness or accuracy and
are subject to change without notice. Any comments or statements made
herein
do not necessarily reflect those of J.P. Morgan Chase & Co., its
subsidiaries and affiliates.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/